/*	$Id: fgetln.c,v 1.3 2000/07/25 19:17:07 amai Exp $	*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <stdiox.h>

#define BUFFER_SIZ 1024 * 1024 * 3

/*
 * Get an input line.  Emulate the BSD extension. Only a dirty hack that
 * wastes memory.
 */

static char buf[BUFFER_SIZ];

	extern char *
_fgetln(FILE *fp, size_t *lenp)
{
	char *p = fgets(buf, BUFFER_SIZ, fp);

	*lenp = strlen(p);
	return(p);
	}

char*fgetln(register FILE*f,size_t*s){return _fgetln(f,s);}

